ftell
fwrite
Filesystem Functions
PHP Manual

# ftruncate

(PHP 4, PHP 5)

ftruncate — Truncates a file to a given length

### Description

bool ftruncate ( resource `$handle` , int `$size` )

Takes the filepointer, `handle` , and truncates the file to length, `size` .

### Parameters

`handle`

  The file pointer.

  > Note: The `handle` must be open for writing.

`size`

  The size to truncate to.

  > Note: If `size` is larger than the file it is extended with null bytes.
  > If `size` is smaller than the extra data will be lost.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### ChangeLog

Version | Description
--- | ---
PHP 4.3.3 | Prior to this release ftruncate() returned an integer value of 1 on success, instead of boolean `TRUE`.

### Notes

> Note: The file pointer is not changed.

### See Also

- fopen()
- fseek()

ftell
fwrite
Filesystem Functions
PHP Manual